<?php

namespace Hilco\Models;
use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class RewardModel extends WebModel
{
	protected $table = 'RewardModels';

	public function rewardTiers() {
	    return $this
            ->belongsToMany(RewardTier::class, 'RewardTier_RewardModel', 'rewardmodel_id', 'rewardtier_id')
            ->withPivot(['minimum_categories', 'minimum_spending'])
        ;
    }

}
